Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_SHMIOP_Endpoint Class Reference

TAO_SHMIOP_Endpoint. More...

`#include <SHMIOP_Endpoint.h>`

Inheritance diagram for TAO_SHMIOP_Endpoint:

[legend]
Collaboration diagram for TAO_SHMIOP_Endpoint:

[legend]
List of all members.

## Public Methods
| TAO_SHMIOP_Endpoint (void)
| Default constructor. More...
| TAO_SHMIOP_Endpoint (const char *host, CORBA::UShort port, const ACE_INET_Addr &addr)
| Constructor. This is the most efficient constructor since it does not require any address resolution processing. More...
| TAO_SHMIOP_Endpoint (const ACE_MEM_Addr &addr, int use_dotted_decimal_addresses)
| Constructor. More...
| TAO_SHMIOP_Endpoint (const ACE_INET_Addr &addr, int use_dotted_decimal_addresses)
| Constructor. -- More of a extension of the previous one. One of them need to go. We will decide about that as time goes by. More...
| TAO_SHMIOP_Endpoint (const char *host, CORBA::UShort port, CORBA::Short priority)
| Constructor. This constructor is used when decoding endpoints. More...
| ~TAO_SHMIOP_Endpoint (void)
| Destructor. More...
virtual TAO_Endpoint * | next (void)
| Return a copy of <this>. More...
virtual int | addr_to_string (char *buffer, size_t length)
virtual void | reset_hint (void)
virtual TAO_Endpoint * | duplicate (void)
CORBA::Boolean | is_equivalent (const TAO_Endpoint *other_endpoint)
| Return true if this endpoint is equivalent to <other_endpoint>. Two endpoints are equivalent iff their port and host are the same. More...
CORBA::ULong | hash (void)
| Return a hash value for this object. More...
const ACE_INET_Addr & | object_addr (void) const
| Return a reference to the <object_addr>. More...
const char * | host (void) const
| Return a pointer to the host string. This object maintains ownership of this string. More...
const char * | host (const char *h)
| Copy the string <h> into <host_> and return the resulting pointer. This object maintains ownership of this string. More...
CORBA::UShort | port (void) const
| Return the port number. More...
CORBA::UShort | port (CORBA::UShort p)
| Set the port number. More...
## Private Methods
int | set (const ACE_INET_Addr &addr, int use_dotted_decimal_addresses)
| Helper method for setting INET_Addr. More...
## Private Attributes
CORBA::String_var | host_
| String representing the host name. More...
CORBA::UShort | port_
| TCP port number. More...
ACE_INET_Addr | object_addr_
| Cached instance of <ACE_INET_Addr> for use in making invocations, etc. More...
TAO_SHMIOP_Endpoint * | next_
| SHMIOP Endpoints can be stringed into a list. Return the next endpoint in the list, if any. More...
## Friends
class | TAO_SHMIOP_Profile

## Detailed Description

TAO_SHMIOP_Endpoint.

SHMIOP-specific implementation of PP Framework Endpoint interface.

## Constructor & Destructor Documentation

TAO_SHMIOP_Endpoint::TAO_SHMIOP_Endpoint | ( | void |  | ) |

| Default constructor.

TAO_SHMIOP_Endpoint::TAO_SHMIOP_Endpoint | ( | const char * | host,
|  | CORBA::UShort | port,
|  | const ACE_INET_Addr & | addr
| ) |

| Constructor. This is the most efficient constructor since it does not require any address resolution processing.

TAO_SHMIOP_Endpoint::TAO_SHMIOP_Endpoint | ( | const ACE_MEM_Addr & | addr,
|  | int | use_dotted_decimal_addresses
| ) |

| Constructor.

TAO_SHMIOP_Endpoint::TAO_SHMIOP_Endpoint | ( | const ACE_INET_Addr & | addr,
|  | int | use_dotted_decimal_addresses
| ) |

| Constructor. -- More of a extension of the previous one. One of them need to go. We will decide about that as time goes by.

TAO_SHMIOP_Endpoint::TAO_SHMIOP_Endpoint | ( | const char * | host,
|  | CORBA::UShort | port,
|  | CORBA::Short | priority
| ) |

| Constructor. This constructor is used when decoding endpoints.

TAO_SHMIOP_Endpoint::~TAO_SHMIOP_Endpoint | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_SHMIOP_Endpoint::addr_to_string | ( | char * | buffer,
|  | size_t | length
| ) | `[virtual]`

| Reimplemented from TAO_Endpoint.

TAO_Endpoint * TAO_SHMIOP_Endpoint::duplicate | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Endpoint.

CORBA::ULong TAO_SHMIOP_Endpoint::hash | ( | void |  | ) | `[virtual]`

| Return a hash value for this object. Reimplemented from TAO_Endpoint.

const char * TAO_SHMIOP_Endpoint::host | ( | const char * | h | ) |

| Copy the string <h> into <host_> and return the resulting pointer. This object maintains ownership of this string.

ACE_INLINE const char * TAO_SHMIOP_Endpoint::host | ( | void |  | ) | const

| Return a pointer to the host string. This object maintains ownership of this string.

CORBA::Boolean TAO_SHMIOP_Endpoint::is_equivalent | ( | const TAO_Endpoint * | other_endpoint | ) | `[virtual]`

| Return true if this endpoint is equivalent to <other_endpoint>. Two endpoints are equivalent iff their port and host are the same. Reimplemented from TAO_Endpoint.

TAO_Endpoint * TAO_SHMIOP_Endpoint::next | ( | void |  | ) | `[virtual]`

| Return a copy of <this>. Reimplemented from TAO_Endpoint.

ACE_INLINE const ACE_INET_Addr & TAO_SHMIOP_Endpoint::object_addr | ( | void |  | ) | const

| Return a reference to the <object_addr>.

ACE_INLINE CORBA::UShort TAO_SHMIOP_Endpoint::port | ( | CORBA::UShort | p | ) |

| Set the port number.

ACE_INLINE CORBA::UShort TAO_SHMIOP_Endpoint::port | ( | void |  | ) | const

| Return the port number.

void TAO_SHMIOP_Endpoint::reset_hint | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Endpoint.

int TAO_SHMIOP_Endpoint::set | ( | const ACE_INET_Addr & | addr,
|  | int | use_dotted_decimal_addresses
| ) | `[private]`

| Helper method for setting INET_Addr.

## Friends And Related Function Documentation

friend class TAO_SHMIOP_Profile`[friend]`

## Member Data Documentation

CORBA::String_var TAO_SHMIOP_Endpoint::host_`[private]`

| String representing the host name.

TAO_SHMIOP_Endpoint* TAO_SHMIOP_Endpoint::next_`[private]`

| SHMIOP Endpoints can be stringed into a list. Return the next endpoint in the list, if any.

ACE_INET_Addr TAO_SHMIOP_Endpoint::object_addr_`[private]`

| Cached instance of <ACE_INET_Addr> for use in making invocations, etc.

CORBA::UShort TAO_SHMIOP_Endpoint::port_`[private]`

| TCP port number.

The documentation for this class was generated from the following files:

- SHMIOP_Endpoint.h
- SHMIOP_Endpoint.cpp
- SHMIOP_Endpoint.i